package asteroids;

public class Circle {
	private float radius;
	private Position position;
	
	
	public Circle() {
		radius = 1;
		position = new Position(0, 0);
	}
	
	public Circle(float r, float x, float y) {
		if(r < 0) {
			radius = 0;
		} else {
			radius = r;
		}
		position = new Position(x, y);
	}
	
	public Circle(float r, Position p) {
		if(r < 0) {
			radius = 0;
		} else {
			radius = r;
		}
		position = p;
	}
	
	public void translate(float x, float y) {
		position.translate(x, y);
	}
	
	public void resize(float r) {
		radius = r;
	}
	
	public float distance(Circle other) {
		float centerDist = this.position.distance(other.position);
		
		float dist = centerDist - (this.radius + other.radius);
		
		if(dist < 0) {
			return 0;
		} else {
			return dist;
		}
	}
	
	public boolean overlap(Circle other) {
		if(this.distance(other) == 0) {
			return true;
		} else {
			return false;
		}
	}
	
	public boolean isInside(Position point) {
		if(this.position.distance(point) < this.radius) {
			return true;
		} else {
			return false;
		}
	}
}
