package asteroids;

public class Position {
	private float x;
	private float y;
	
	public Position() {
		x = 0f;
		y = 0f;
	}
	
	public Position(Position other) {
		this.x = other.x;
		this.y = other.y;
	}
	
	public Position(float xn, float yn) {
		x = xn;
		y = yn;
	}
	
	public Position clone() {
		return new Position(this.x, this.y);
	}
	
	public float distance(Position other) {
		float xd = this.x - other.x;
		float yd = this.y - other.y;
		double dist = Math.sqrt(xd * xd + yd * yd);
		
		return (float)dist;
	}
	
	public void translate(float xt, float yt) {
		x += xt;
		y += yt;
	}
	
	public float getX() {
		return x;
	}
	
	public float getY() {
		return y;
	}
}
